#! /bin/sh

# CHECK THIS!
NANO_SRC=/usr/src
#  AND THIS!
NANO_OBJ=/usr/obj

NANO_NAME=aesni-problem

NANO_KERNEL=GENERIC

# Images
NANO_INIT_IMG2=0

NANO_RAM_TMPVARSIZE=524288

# glabel support
NANO_LABEL=nano

# Buildworld
CONF_BUILD=''

# Special instruction to "install"
STRIPBIN=/usr/bin/strip
export STRIPBIN

# Installworld
CONF_INSTALL='
WITHOUT_INSTALLLIB=yes
WITHOUT_BINUTILS=yes
'
# Common for build/install
CONF_WORLD='
XCC=/usr/bin/cc
XCXX=/usr/bin/c++
XCPP=/usr/bin/cpp
XAS=/usr/bin/as
XAR=/usr/bin/ar
XLD=/usr/bin/ld
XNM=/usr/bin/nm
XOBJDUMP=/usr/bin/objdump
XRANLIB=/usr/bin/ranlib
XSTRINGS=/usr/bin/strings
COMPILER_TYPE=clang
WITHOUT_CROSS_COMPILER=yes
WITHOUT_CLANG=yes
WITHOUT_BINUTILS=yes

MALLOC_PRODUCTION=yes
BOOT_COMCONSOLE_SPEED=115200
BOOT_COMCONSOLE_PORT=0x2E8
WITHOUT_ACCT=yes
WITHOUT_ACPI=yes
WITHOUT_AMD=yes
WITHOUT_APM=yes
WITHOUT_ATM=yes
WITHOUT_AUDIT=yes
WITHOUT_AUTHPF=yes
WITHOUT_BIND_DNSSEC=yes
WITHOUT_CALENDAR=yes
WITHOUT_CDDL=yes
WITHOUT_CTM=yes
WITHOUT_DICT=yes
WITHOUT_EXAMPLES=yes
WITHOUT_FLOPPY=yes
WITHOUT_FREEBSD_UPDATE=yes
WITHOUT_GAMES=yes
WITHOUT_GCC=yes
WITHOUT_GCOV=yes
WITHOUT_GDB=yes
WITHOUT_GPIB=yes
WITHOUT_GPIO=yes
WITHOUT_GROFF=yes
WITHOUT_GSSAPI=yes
WITHOUT_HTML=yes
WITHOUT_ICONV=yes
WITHOUT_INFO=yes
WITHOUT_IPFILTER=yes
WITHOUT_JAIL=yes
WITHOUT_LEGACY_CONSOLE=yes
WITHOUT_LIB32=yes
WITHOUT_LOCALES=yes
WITHOUT_LOCATE=yes
WITHOUT_LPR=yes
WITHOUT_KERBEROS=yes
WITHOUT_KERBEROS_SUPPORT=yes
WITHOUT_MAN=yes
WITHOUT_NCP=yes
WITHOUT_NDIS=yes
WITHOUT_NIS=yes
WITHOUT_NLS=yes
WITHOUT_NLS_CATALOGS=yes
WITHOUT_NS_CACHING=yes
WITHOUT_OBJC=yes
WITHOUT_PC_SYSINSTALL=yes
WITHOUT_PF=yes
WITHOUT_PORTSNAP=yes
WITHOUT_PROFILE=yes
WITHOUT_QUOTAS=yes
WITHOUT_RCMDS=yes
WITHOUT_RCS=yes
WITHOUT_ROUTED=yes
WITHOUT_SHAREDOCS=yes
WITHOUT_SVNLITE=yes
WITHOUT_SYSCONS=yes
WITHOUT_TESTS=yes
WITHOUT_ZFS=yes
'

#
NANO_BOOT0CFG="-o packet -s 1 -m 3 -t 1"
NANO_BOOTLOADER="boot/boot0"
# BOOT
NANO_BOOT2CFG="-Dh -S115200"

# Media
NANO_HEADS=255
NANO_SECTS=63
NANO_MEDIASIZE=15669248
